import { DatabasePaginationOptions, DatabaseType, IDatabaseCollection } from "@js-soft/docdb-access-abstractions";
export declare class LokiJsCollection implements IDatabaseCollection {
    private readonly collection;
    readonly name: string;
    readonly databaseType = DatabaseType.LokiJs;
    constructor(collection: Collection<any>);
    create(object: any): Promise<any>;
    read(id: string): Promise<any>;
    update(oldDocument: any, data: any): Promise<any>;
    delete(query: any): Promise<boolean>;
    list(): Promise<any[]>;
    find(query?: any, paginationOptions?: DatabasePaginationOptions): Promise<any[]>;
    findOne(query?: any): Promise<any>;
    count(query?: any): Promise<number>;
    exists(query?: any): Promise<boolean>;
}
//# sourceMappingURL=LokiJsCollection.d.ts.map